Get bag movements by service

This endpoint returns all bag movements for a service over a period not exceeding 60 days.

GET /api/v1/business/{businessId}/service/{serviceId}/bag-movements/from/{yyyy-MM-dd}/to/{yyyy-MM-dd}

If the data included in the request is correct —both businessId and serviceId— the response will contain a list of bag movements within the specified interval in the URL.

Response example

[
    {
        "employeeId": "1006350",
        "originBagId": "PT9",
        "originDate": "2026-07-27",
        "destinationBagId": "WH",
        "destinationDate": "2026-07-27",
        "value": 60.0,
        "reason": "Worked hours"
    },
    {
        "employeeId": "1006350",
        "destinationBagId": "WH",
        "destinationDate": "2026-07-21",
        "value": 120.0,
        "reason": "Tuesday worked hours"
    }
]
Details
  • employeeId: external identifier of the employee.

  • originBagId: external identifier of the origin bag of the movement.

  • originDate: date the movement is applied to the origin bag, in yyyy-MM-dd format.

  • destinationBagId: external identifier of the destination bag of the movement.

  • destinationDate: date the movement is applied to the destination bag, in yyyy-MM-dd format.

  • value: amount of the movement applied to the bag.

  • reason: reason for the movement, either specified in the system or generated automatically.

The response will contain the data defined for each movement. If the external identifier of the origin or destination bag is not set in the system and the movement was made from the interface, that information will not be returned (as seen in the last movement of the example).

Considerations

If the service specified in the URL does not exist within the business, the request will return a 404 Not Found error, specifying not exists in the message.

If no movements are found for the specified period, the request will return an empty array [].

If the interval specified in the URL exceeds 60 days, the request will return a 406 Not Acceptable error, specifying The request exceeded the maximum number of days allowed (60 days max).

What is a bag?